/*
 * This file is part of the segmentation and registration toolkit (SphereSegRegTk).
 *
 * SphereSegRegTk is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SphereSegRegTk is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SphereSegRegTk.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __CVECTOR_HH
#define __CVECTOR_HH
/*
 * CHANGELOG:
 *
 * 2008-10-22: martin schreiber
 * 	created this class to handle vectors in CVector<number of elements><type> way
 *
 * 	this should make it easyer to create more flexible filters like gradient
 * 	independend on the vectorsize
 */


/// template nD vector handler
/*
 * it's not possible to create templates dependend on dimension AND type parameters while specifying
 * only the dimension. therefore this fake template has to be created while the methods are implemented
 * directly in the CVector?.hh header files
 */
template<int N, typename T>
class CVector
{
};

#include "CVector2.hh"
#include "CVector3.hh"
#include "CVector4.hh"

#endif
